#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D	sTexture;
varying vec2		vTexCoord;
varying vec4		vBaseColor;

void main() {
#ifdef TEXCOORDENABLE
#ifdef ALPHAMASKMODE
	gl_FragColor = vec4(vBaseColor.rgb,texture2D(sTexture,vTexCoord).a * vBaseColor.a);
#else
	gl_FragColor = texture2D(sTexture,vTexCoord) * vBaseColor;
#endif
#else
	gl_FragColor = vBaseColor;
#endif
}
